/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("jazz.ui.internal.ImgMenuItem");

dojo.require("dijit.Menu");

(function() {

/*
 * A menu item that uses an image tag instead of a background css image in order
 * to support images that come from other servers.
 */
dojo.declare("jazz.ui.internal.ImgMenuItem",
	dijit.MenuItem, {
	
	icon: null,
	
	postCreate: function() {
		this.inherited(arguments);
		if (this.icon) {
			// add an image tag in the icon div
			var img = document.createElement("img");
			img.src = this.icon;
			this.iconNode.appendChild(img);
		}
	}
});

})();
