/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("jazz.app.proxy");

dojo.require("jazz.app.internal.ProxyRequestInterceptor");
dojo.require("jazz.client.xhr");

// Apply Jazz proxy logic to requests sent through jazz.client.xhr
jazz.client.internal.addRequestInterceptor(jazz.app.internal.ProxyRequestInterceptor);

/**
 * Encodes and returns a URI that will be forwarded through the web UI proxy
 * service. The jazz.client.xhr library automatically applies this function to
 * any URIs belonging to a different origin than the current web page if this
 * module has been dojo.require'd in the running application. This function is
 * therefore only necessary for encoding proxied URIs for things like images
 * that are not fetched via XHR.
 * 
 * @param {String} origUri the original URI to encode as a proxied URI. Should
 *  be a complete URI like http://www.ibm.com/.
 * @return {String} a URI encoded in such way that it will be forwarded through
 *  the web UI proxy.
 * @since 0.7
 */
jazz.app.proxy.encodeProxiedURI = function(origUri){
	return net.jazz.ajax._contextRoot + "/proxy?uri=" + encodeURIComponent(origUri);
};

jazz.app.internal.ProxyRequestInterceptor.setEncodeProxiedURIFunction(jazz.app.proxy.encodeProxiedURI);
